/**
 * ActMoodIntent.java
 *
 * File generated from the medication::ActMoodIntent uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActMoodIntent.
 *
 * 
 */

@XmlType(name = "ActMoodIntent")
@XmlEnum
@XmlRootElement(name = "ActMoodIntent")
public enum ActMoodIntent {
	@XmlEnumValue("INT")
	INT("INT"),
	@XmlEnumValue("APT")
	APT("APT"),
	@XmlEnumValue("ARQ")
	ARQ("ARQ"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO"),
	@XmlEnumValue("SLOT")
	SLOT("SLOT");
	
	private final String value;

    ActMoodIntent(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActMoodIntent fromValue(String v) {
        for (ActMoodIntent c: ActMoodIntent.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}